const express = require('express');
const router = express.Router();
const controller = require('../controllers/animeController');

// CRUD para animes
router.post('/add', controller.insertAnime);
router.get('/list/:userId', controller.getAnimesByUser);
router.put('/:id', controller.updateAnime);
router.delete('/delete/:id', controller.deleteAnime);
router.get('/user/:userId/status/:status', controller.getAnimesByUserAndStatus);
router.get('/airing', controller.getAiringAnime); // animes con estado 'airing'


module.exports = router;
